[TOC]




<#-- ----------  BEGIN 循环遍历book  ---------->
<#if books??>
    <#list books as bookKey,bookValue>
        <#if bookValue.name??>

<#--book名称-->
# ${bookValue.name}
        </#if>
    <#-- ----------  BEGIN 循环遍历chapter  ---------->
        <#assign chapterIndex=0>
        <#list bookValue.chapters as chapter>
 <#if !chapter.isIgnore()>

<#assign chapterIndex++>
<#--                章节名称-->
## ${chapterIndex}.  ${chapter.name}
<#--                章节描述-->
                <#if chapter.description??>

${chapter.description}
                </#if>
            <#-- ----------  BEGIN 循环遍历section  ---------->
                <#assign sectionIndex=0>
                <#list chapter.sections as section>
                        <#if !section.isIgnore()>
<#assign sectionIndex++/>
<#--                        接口名称-->
### ${chapterIndex}.${sectionIndex} ${section.name}
<#--                        接口描述-->
                        <#if section.description??>

${section.description}
                        </#if>

<#--                        请求-->
**Request**

<#--                        请求示例-->
```HTTP
${section.method} ${section.uri!''} HTTP/1.1
                        <#if section.inHeaders??>
                            <#list section.inHeaders as inHeaderKey,inHeaderValue>
${inHeaderValue!''}
                            </#list>
                        </#if>
                        <#if section.hasRequestBody()>

${section.getParameterString()}
                        </#if>
```
<#--                        请求参数table列表-->
                   <#if section.requestRows?? && (section.requestRows?size>0)>

**Query**
| Field    | Type   | Required | Condition | Default | Description |
| :------- | :----- | :-------- |:-------- | :------ | :---------- |
                       <#list section.requestRows as rowKey,rowValue>
| ${rowValue.key!''}  | ${rowValue.type!''} | ${rowValue.required?string('true','false')} | ${rowValue.condition!''} | ${rowValue.def!''} | ${rowValue.remark!''} |
                       </#list>
                    </#if>
<#--                        响应-->
                        <#if section.hasResponseBody()>
**Response**
```
${section.getResponseString()}
```
                        </#if>
<#--                        响应参数table列表-->
                        <#if section.responseRows?? && (section.responseRows?size>0)>

| Field    | Type   | Description |
| :------- | :----- | :---------- |
                        <#list section.responseRows as rowKey,rowValue>
| ${rowValue.key!''}  | ${rowValue.type!''} | ${rowValue.remark!''} |
                        </#list>
                        </#if>
                        </#if>
                </#list>
            <#------------  END 循环遍历section  ---------->
             </#if>
        </#list>
    <#------------  END 循环遍历chapter  ---------->
    </#list>
<#------------  END 循环遍历book  ---------->
</#if>
