package com.kim.apidoc.example.common;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * The type User.
 */
@Setter
@Getter
public class User {

    /**
     * 用户编号.
     */
    int id;
    /**
     * 用户名称.
     */
    @NotBlank
    String name;
    /**
     * 用户年龄.
     */
    @Min(1)
    @NotNull
    Integer age;
    /**
     * 创建时间.
     */
    Date createAt;
    /**
     * 性别.
     */
    @NotBlank
    @JsonProperty("Sex")
    String sex;

}
