package com.kim.apidoc.example.spring.advanced;

import com.kim.apidoc.example.annotation.KimController;
import com.kim.apidoc.example.common.ResultData;
import com.kim.apidoc.example.common.User;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * kim接口
 *
 * @author duanledexianxianxian
 * @version 1.0.0
 * @date 2020 /3/25 1:00
 * @index 20
 * @since 1.0.0
 */
@KimController
@RequestMapping("/api/v1")
public class KimUserController {

    /**
     * 用户详情信息
     * 主动根据id获取用户的信息
     *
     * @param id 用户编号
     * @return result data
     */
    @GetMapping(value = "/{id}")
    public ResultData<User> detail(@PathVariable String id) {
        User user = new User();
        return ResultData.ok(user);
    }


    /**
     * Add integer.
     *
     * @return the integer
     */
    @PostMapping
    public Integer add() {
        return null;
    }
}
